Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.api.bpmn2
Interface BPMN2DataService

All Known Implementing Classes:
  BPMN2DataServiceImpl

    public interface BPMN2DataService

Method Summary
`ProcessAssetDesc` | `findProcessId(String bpmn2Content, ClassLoader classLoader)`
`Collection<org.kie.internal.task.api.model.TaskDef>` | `getAllTasksDef(String processId)`
`List<String>` | `getAssociatedDomainObjects(String processId)`
`Map<String,String>` | `getAssociatedEntities(String processId)`
`List<String>` | `getAssociatedForms(String processId)`
`Map<String,String>` | `getProcessData(String processId)`
`ProcessAssetDesc` | `getProcessDesc(String processId)`
`Collection<String>` | `getReusableSubProcesses(String processId)`
`Map<String,String>` | `getTaskInputMappings(String processId, String taskName)`
`Map<String,String>` | `getTaskOutputMappings(String processId, String taskName)`

Method Detail

### getAssociatedEntities

    Map<String,String> getAssociatedEntities(String processId)

### getAssociatedDomainObjects

    List<String> getAssociatedDomainObjects(String processId)

### getProcessData

    Map<String,String> getProcessData(String processId)

### getAssociatedForms

    List<String> getAssociatedForms(String processId)

### getAllTasksDef

    Collection<org.kie.internal.task.api.model.TaskDef> getAllTasksDef(String processId)

### getProcessDesc

    ProcessAssetDesc getProcessDesc(String processId)

### getTaskInputMappings

    Map<String,String> getTaskInputMappings(String processId,
                                            String taskName)

### getTaskOutputMappings

    Map<String,String> getTaskOutputMappings(String processId,
                                             String taskName)

### getReusableSubProcesses

    Collection<String> getReusableSubProcesses(String processId)

### findProcessId

    ProcessAssetDesc findProcessId(String bpmn2Content,
                                   ClassLoader classLoader)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.